Package com.salesforce.datacloud.jdbc.core.accessor.impl

## Class BaseIntVectorAccessor

- java.lang.Object
- - com.salesforce.datacloud.jdbc.core.accessor.QueryJDBCAccessor
  - - com.salesforce.datacloud.jdbc.core.accessor.impl.BaseIntVectorAccessor

All Implemented Interfaces:
  `org.apache.calcite.avatica.util.Cursor.Accessor`

    public class BaseIntVectorAccessor
    extends QueryJDBCAccessor

### Field Summary

### Fields inherited from class com.salesforce.datacloud.jdbc.core.accessor.QueryJDBCAccessor

`wasNull, wasNullConsumer`

### Constructor Summary

Constructors
`BaseIntVectorAccessor​(org.apache.arrow.vector.BigIntVector vector, IntSupplier currentRowSupplier, QueryJDBCAccessorFactory.WasNullConsumer setCursorWasNull)`
`BaseIntVectorAccessor​(org.apache.arrow.vector.IntVector vector, IntSupplier currentRowSupplier, QueryJDBCAccessorFactory.WasNullConsumer setCursorWasNull)`
`BaseIntVectorAccessor​(org.apache.arrow.vector.SmallIntVector vector, IntSupplier currentRowSupplier, QueryJDBCAccessorFactory.WasNullConsumer setCursorWasNull)`
`BaseIntVectorAccessor​(org.apache.arrow.vector.TinyIntVector vector, IntSupplier currentRowSupplier, QueryJDBCAccessorFactory.WasNullConsumer setCursorWasNull)`
`BaseIntVectorAccessor​(org.apache.arrow.vector.UInt4Vector vector, IntSupplier currentRowSupplier, QueryJDBCAccessorFactory.WasNullConsumer setCursorWasNull)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BigDecimal` `getBigDecimal()`
`BigDecimal` `getBigDecimal​(int scale)`
`byte` `getByte()`
`double` `getDouble()`
`float` `getFloat()`
`int` `getInt()`
`long` `getLong()`
`Number` `getObject()`
`Class<?>` `getObjectClass()`
`short` `getShort()`
`String` `getString()`

### Methods inherited from class com.salesforce.datacloud.jdbc.core.accessor.QueryJDBCAccessor

`getArray, getAsciiStream, getBinaryStream, getBlob, getBoolean, getBytes, getCharacterStream, getClob, getCurrentRow, getDate, getNCharacterStream, getNClob, getNString, getObject, getObject, getRef, getSQLXML, getStruct, getTime, getTimestamp, getUnicodeStream, getURL, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BaseIntVectorAccessor

    public BaseIntVectorAccessor​(org.apache.arrow.vector.TinyIntVector vector,
                                 IntSupplier currentRowSupplier,
                                 QueryJDBCAccessorFactory.WasNullConsumer setCursorWasNull)
                          throws SQLException

Throws:
  `SQLException`

#### BaseIntVectorAccessor

    public BaseIntVectorAccessor​(org.apache.arrow.vector.SmallIntVector vector,
                                 IntSupplier currentRowSupplier,
                                 QueryJDBCAccessorFactory.WasNullConsumer setCursorWasNull)
                          throws SQLException

Throws:
  `SQLException`

#### BaseIntVectorAccessor

    public BaseIntVectorAccessor​(org.apache.arrow.vector.IntVector vector,
                                 IntSupplier currentRowSupplier,
                                 QueryJDBCAccessorFactory.WasNullConsumer setCursorWasNull)
                          throws SQLException

Throws:
  `SQLException`

#### BaseIntVectorAccessor

    public BaseIntVectorAccessor​(org.apache.arrow.vector.BigIntVector vector,
                                 IntSupplier currentRowSupplier,
                                 QueryJDBCAccessorFactory.WasNullConsumer setCursorWasNull)
                          throws SQLException

Throws:
  `SQLException`

#### BaseIntVectorAccessor

    public BaseIntVectorAccessor​(org.apache.arrow.vector.UInt4Vector vector,
                                 IntSupplier currentRowSupplier,
                                 QueryJDBCAccessorFactory.WasNullConsumer setCursorWasNull)
                          throws SQLException

Throws:
  `SQLException`

### Method Detail

#### getLong

    public long getLong()

Specified by:
  `getLong` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getLong` in class `QueryJDBCAccessor`

#### getObjectClass

    public Class<?> getObjectClass()

Specified by:
  `getObjectClass` in class `QueryJDBCAccessor`

#### getString

    public String getString()

Specified by:
  `getString` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getString` in class `QueryJDBCAccessor`

#### getByte

    public byte getByte()

Specified by:
  `getByte` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getByte` in class `QueryJDBCAccessor`

#### getShort

    public short getShort()

Specified by:
  `getShort` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getShort` in class `QueryJDBCAccessor`

#### getInt

    public int getInt()

Specified by:
  `getInt` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getInt` in class `QueryJDBCAccessor`

#### getFloat

    public float getFloat()

Specified by:
  `getFloat` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getFloat` in class `QueryJDBCAccessor`

#### getDouble

    public double getDouble()

Specified by:
  `getDouble` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getDouble` in class `QueryJDBCAccessor`

#### getBigDecimal

    public BigDecimal getBigDecimal()

Specified by:
  `getBigDecimal` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getBigDecimal` in class `QueryJDBCAccessor`

#### getBigDecimal

    public BigDecimal getBigDecimal​(int scale)

Specified by:
  `getBigDecimal` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getBigDecimal` in class `QueryJDBCAccessor`

#### getObject

    public Number getObject()
                     throws SQLException

Specified by:
  `getObject` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getObject` in class `QueryJDBCAccessor`
Throws:
  `SQLException`